#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Time
%define		pnam	modules
Summary:	Various Time:: Perl modules
Summary(pl.UTF-8):	Różne moduły Perla Time::
Name:		perl-Time-modules
Version:	2013.0912
Release:	1
License:	free (see manuals)
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	a4330144e24c356ca4c925d14e5ab06b
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Time-modules package contains the following modules: Time::CTime,
Time::JulianDay, Time::ParseDate, Time::Timezone, Time::DaysInMonth.

%description -l pl.UTF-8
Pakiet Time-modules zawiera nastepujące moduły: Time::CTime,
Time::JulianDay, Time::ParseDate, Time::Timezone, Time::DaysInMonth.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README CHANGELOG
%{perl_vendorlib}/Time/*.pm
%{_mandir}/man3/*
%changelog
* Thu Oct 10 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Time-modules.git;a=log;h=master

* Thu Oct 10 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> f097831
- up to 2013.0912

* Fri Jul 01 2011 marti <marti@pld-linux.org> 846e000
- up to 2011.0517

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 33f63cb
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 9473bf5
- converted to UTF-8

* Sat Oct 21 2006 ankry <ankry@pld-linux.org> 27da655
- ver. 2006.0814

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> e1dfc45
- formatting

* Thu Jan 08 2004 Jakub Bogusz <qboosh@pld-linux.org> 0209f5f
- updated to 2003.1126, added test, License is not GPL

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> 6ed96b2
- spaces -> tab

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> b7cbed7
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 0f298b2
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> c4224f3
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Apr 11 2003 radek <radek@pld-linux.org> d07b6e7
- BR: perl-devel; do not BR: perl

* Sat Mar 01 2003 radek <radek@pld-linux.org> d1b1d60
- should be ready for perl-5.8.0; release++

* Tue Feb 25 2003 radek <radek@pld-linux.org> 41e9710
- use the __perl macro

* Wed Feb 19 2003 ankry <ankry@pld-linux.org> 83f54ab
- autoupdated to 2003.0211

* Tue Feb 18 2003 ankry <ankry@pld-linux.org> 8f3bbec
- massive attack: change CPAN URLs

* Mon Nov 25 2002 marcus <marcus@pld-linux.org> 0513620
- use new %%doc

* Wed Nov 20 2002 mis <mis@pld-linux.org> 62d64a8
- autoupdated to 2002.1001

* Wed Jul 10 2002 depesz <depesz@depesz.pl> 01cb7df
- applied changes using automat supplied by Radoslaw Zielinski

* Sat May 11 2002 kloczek <kloczek@pld-linux.org> 6dd2347
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

